# Created by pyp2rpm-3.2.2
%global pypi_name cassandra-snap

Name:           python-%{pypi_name}
Version:        1.2.1
Release:        1%{?dist}
Summary:        Cassandra snap is a tool to backup cassandra to Amazon S3

License:        None
URL:            http://github.com/gamunu/cassandra_snap
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/cassandra_snap-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
UNKNOWN

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-argparse
Requires:       python3-fabric
Requires:       python3-boto >= 2.29.1
Requires:       python3-pyyaml
Requires:       python3-setuptools
%description -n python3-%{pypi_name}
UNKNOWN

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-argparse
Requires:       fabric
Requires:       python-boto >= 2.29.1
Requires:       python-pyyaml
Requires:       python-setuptools
%description -n python2-%{pypi_name}
UNKNOWN


%prep
%autosetup -n cassandra_snap-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
%py2_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py2_install
cp %{buildroot}/%{_bindir}/cassandra-snapshotter %{buildroot}/%{_bindir}/cassandra-snapshotter-%{python2_version}
ln -s %{_bindir}/cassandra-snapshotter-%{python2_version} %{buildroot}/%{_bindir}/cassandra-snapshotter-2
cp %{buildroot}/%{_bindir}/cassandra-snapshotter-agent %{buildroot}/%{_bindir}/cassandra-snapshotter-agent-%{python2_version}
ln -s %{_bindir}/cassandra-snapshotter-agent-%{python2_version} %{buildroot}/%{_bindir}/cassandra-snapshotter-agent-2

%py3_install
cp %{buildroot}/%{_bindir}/cassandra-snapshotter %{buildroot}/%{_bindir}/cassandra-snapshotter-%{python3_version}
ln -s %{_bindir}/cassandra-snapshotter-%{python3_version} %{buildroot}/%{_bindir}/cassandra-snapshotter-3
cp %{buildroot}/%{_bindir}/cassandra-snapshotter-agent %{buildroot}/%{_bindir}/cassandra-snapshotter-agent-%{python3_version}
ln -s %{_bindir}/cassandra-snapshotter-agent-%{python3_version} %{buildroot}/%{_bindir}/cassandra-snapshotter-agent-3


%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/cassandra-snapshotter
%{_bindir}/cassandra-snapshotter-3
%{_bindir}/cassandra-snapshotter-%{python3_version}
%{_bindir}/cassandra-snapshotter-agent
%{_bindir}/cassandra-snapshotter-agent-3
%{_bindir}/cassandra-snapshotter-agent-%{python3_version}
%{python3_sitelib}/cassandra_snap
%{python3_sitelib}/cassandra_snap-%{version}-py?.?.egg-info

%files -n python2-%{pypi_name}
%doc README.md
%{_bindir}/cassandra-snapshotter-2
%{_bindir}/cassandra-snapshotter-%{python2_version}
%{_bindir}/cassandra-snapshotter-agent-2
%{_bindir}/cassandra-snapshotter-agent-%{python2_version}
%{python2_sitelib}/cassandra_snap
%{python2_sitelib}/cassandra_snap-%{version}-py?.?.egg-info

%changelog
* Tue Jan 09 2018 mockbuilder - 1.2.1-1
- Initial package.